from pydantic import BaseModel, Field
from datetime import datetime
from schemas.vehicle import OutputVehicle


class CreateAuction(BaseModel):
    initialPrice: int = Field(...)
    minimalBet: int = Field(...)
    carId: int = Field(...)
    dateStart: datetime
    dateEnd: datetime


class ShowAuction(BaseModel):
    Id: int
    initialPrice: int
    minimalBet: int
    car: OutputVehicle
    dateStart: datetime
    dateEnd: datetime

    class Config:
        orm_mode = True
